<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: franz.gamba    
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Registrar Sede de la Comisión y Suministro de Dotación::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <p:messages id="msgsRSDC" showDetail="false" globalOnly="false" />

        <p:spacer height="30" width="0" />

        <h:form prependId="true" id="registrarSedeComisionYDotacionForm" enctype="multipart/form-data">
            <h:panelGrid columns="2" cellspacing="3" width="900">
                <h:panelGrid columns="1" cellspacing="3" width="350">
                    <p:panel header="Detalles de la actualización">
                        <ui:include src="detallesInformacionActualizacion.xhtml">
                            <ui:param name="currentManagedBeanParam"
                                      value="#{prepararRecursosHumanosyFisicos}" />
                        </ui:include>
                    </p:panel>
                    <p:spacer height="10" width="0" />
                    <p:panel header="Registrar">
                        <p:spacer height="10" width="10" />
                        <p:commandButton id="btnRegistrarSede"
                                         widgetVar="registrarSedeComisionWV"
                                         value="Registrar sede de la comisión" ajax="true"
                                         action="#{prepararRecursosHumanosyFisicos.inicializaRegistroDeSede}"
                                         update=":registrarSedeComisionYDotacionForm:registrarSedeComisionPnl, registrarSedeComisionYDotacionForm"
                                         process="@this">
                            <f:setPropertyActionListener
                                target="#{prepararRecursosHumanosyFisicos.registroSedeComision}"
                                value="true" />
                            <f:setPropertyActionListener
                                target="#{prepararRecursosHumanosyFisicos.registroDotacion}"
                                value="false" />
                        </p:commandButton>
                        <p:spacer height="0" width="5" />

                        <p:commandButton id="btnRegistrarSuministroDotacion"
                                         widgetVar="registrarSuministroDotacionWV"
                                         value="Registrar suministro de dotación" ajax="true"
                                         action="#{prepararRecursosHumanosyFisicos.inicializarRegistroDotaciones}"
                                         update="registrarSedeComisionYDotacionForm, :agregarDotacionForm:panelGridAgregarActaDeDotacion"
                                         process="@this">
                            <f:setPropertyActionListener
                                target="#{prepararRecursosHumanosyFisicos.registroDotacion}"
                                value="true" />
                            <f:setPropertyActionListener
                                target="#{prepararRecursosHumanosyFisicos.registroSedeComision}"
                                value="false" />
                        </p:commandButton>
                    </p:panel>
                    <p:panel>
                        <p:commandButton id="btnAceptar" widgetVar="btnAceptarWV"
                                         value="Aceptar" ajax="false"
                                         action="#{prepararRecursosHumanosyFisicos.aceptarSedeYDotaciones}"
                                         process="@this" icon="ui-icon ui-icon-check" />
                        <p:commandButton id="btnCerrar" widgetVar="btnCerrarWV"
                                         action="#{prepararRecursosHumanosyFisicos.cerrar}"
                                         value="Cerrar" ajax="false" process="@this"
                                         icon="ui-icon ui-icon-close" />
                    </p:panel>
                </h:panelGrid>
                <h:panelGrid columns="1" cellspacing="3" width="550">
                    <p:panel id="pnlSedeComision"
                             rendered="#{prepararRecursosHumanosyFisicos.registroSedeComision}" >
                        <ui:include src="registrarSedeComision.xhtml">
                            <ui:param name="currentManagedBeanParam"
                                      value="#{prepararRecursosHumanosyFisicos}" />
                        </ui:include>
                    </p:panel>
                    <p:panel id="pnlDotacion" 
                             rendered="#{prepararRecursosHumanosyFisicos.registroDotacion}">
                        <ui:include src="registrarActasDeDotacion.xhtml">
                            <ui:param name="currentManagedBeanParam"
                                      value="#{prepararRecursosHumanosyFisicos}" />
                        </ui:include>
                    </p:panel>
                </h:panelGrid>
            </h:panelGrid>
        </h:form>		

        <p:dialog height="480" width="960" resizable="false"
                  widgetVar="agregarActasWV" modal="true" appendToBody="true"
                  position="center" header="Sede de la comisión">
            <ui:include src="">
                <ui:param name="currentManagedBeanParam"
                          value="#{prepararRecursosHumanosyFisicos}" />
            </ui:include>
        </p:dialog>

        <p:dialog height="150" width="320" resizable="false"
                  widgetVar="agregarDotacionWV" modal="true" appendToBody="true"
                  position="center" header="Agregar dotación">
            <h:form id="agregarDotacionForm">
                <ui:include src="agregarActaDeDotacion.xhtml">
                    <ui:param name="currentManagedBeanParam"
                              value="#{prepararRecursosHumanosyFisicos}" />
                </ui:include>
            </h:form>
        </p:dialog>

        <p:dialog height="300" width="560" resizable="false" dynamic="true"
                  widgetVar="asignarContratosDotacionWV" modal="true"
                  appendToBody="true" position="center"
                  header="Agregar contratos por dotar">
            <h:form id="agregarContratosDotacionForm">
                <ui:include src="asignarContratistasARecibirDotacion.xhtml">
                    <ui:param name="currentManagedBeanParam"
                              value="#{prepararRecursosHumanosyFisicos}" />
                </ui:include>
            </h:form>
        </p:dialog>

    </ui:define>
</ui:composition>